ಖಾತೆ ಪಾವತಿಗಳು
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| ಪ್ಯಾರಾಮೀಟರ್ಗಳು | ವಿವರಗಳು | ವಿವರಣೆ |
|---|---|---|
| processor | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: paid, pending, cancelled, refunded |
| type | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: one_time, recurring |
| frequency | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: datetime |
| datetime_start | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಈ ದಿನಾಂಕ ಮತ್ತು ಸಮಯದಿಂದ ಫಲಿತಾಂಶಗಳನ್ನು ಫಿಲ್ಟರ್ ಮಾಡಿ. ಸ್ವರೂಪ Y-m-d H:i:s. |
| datetime_end | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಈ ದಿನಾಂಕ ಮತ್ತು ಸಮಯದವರೆಗೆ ಫಲಿತಾಂಶಗಳನ್ನು ಫಿಲ್ಟರ್ ಮಾಡಿ. ಸ್ವರೂಪ Y-m-d H:i:s. |
| order_by | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಫಲಿತಾಂಶಗಳನ್ನು ಯಾವ ಕ್ಷೇತ್ರದಲ್ಲಿ ಆಜ್ಞೆ ನೀಡಬೇಕು. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: id, datetime, total_amount. |
| order_type | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಫಲಿತಾಂಶಗಳ ಕ್ರಮ. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: ASC ಏರಿಕೆಯಲ್ಲಿ ಕ್ರಮಕ್ಕಾಗಿ, ಮತ್ತು DESC ಇಳಿಕೆಯಲ್ಲಿ ಕ್ರಮಕ್ಕಾಗಿ. |
| page | ಆಯ್ಕೆಯಾದ ಪೂರ್ಣಾಂಕ | ನೀವು ಫಲಿತಾಂಶಗಳನ್ನು ಬಯಸುವ ಪುಟದ ಸಂಖ್ಯೆ. ಡೀಫಾಲ್ಟ್ 1 ಗೆ. |
| results_per_page | ಆಯ್ಕೆಯಾದ ಪೂರ್ಣಾಂಕ | ನೀವು ಪ್ರತಿ ಪುಟಕ್ಕೆ ಎಷ್ಟು ಫಲಿತಾಂಶಗಳನ್ನು ಬಯಸುತ್ತೀರಿ. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: 10, 25, 50, 100, 250, 500, 1000. ಡೀಫಾಲ್ಟ್ 25 ಗೆ. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 11:36:31",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 11:36:31",
}
}